%set_verify_elf_method textrel=relaxed,rpath=relaxed
%define ocamlver 3.08.0-alt0.2

Name: ocaml-wlex
Version: 20030929
Release: alt6

Group: Development/ML
Summary: Unicode lexer generator for OCaml
License: LGPL
Source: wlex-%version.tar.bz2
Packager: Vitaly Lugovsky <vsl@altlinux.ru>
Requires: ocaml = %ocamlver, camlp4 = %ocamlver

%set_strip_method none

# Automatically added by buildreq on Tue Dec 16 2003
BuildRequires: ocaml = %ocamlver, camlp4 = %ocamlver

%description

 It's an obsolete Unicode lexer for Objective Caml. Please don't use it.
Better use ulex.

%prep
%setup -n wlex-%version
%build

make all all.opt

%install
%define _compress_method skip

mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/wlexing/
mkdir -p $RPM_BUILD_ROOT/usr/bin/

cp *.{mli,cmi,a,cmxa,cma} $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/wlexing/
cp META $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/wlexing/
cp wlex $RPM_BUILD_ROOT/usr/bin/

%files
%dir %_libdir/ocaml/site-lib/wlexing/
%_libdir/ocaml/site-lib/wlexing/*
%_bindir/wlex
 
%doc README RELEASE LICENSE

%changelog
* Sun Jul 18 2004 Vitaly Lugovsky <vsl@altlinux.ru> 20030929-alt6
- rebuild

* Wed Jul 07 2004 Vitaly Lugovsky <vsl@altlinux.ru> 20030929-alt5
- rebuild

* Fri May  7 2004 Alexander V. Nikolaev <avn@altlinux.org> 20030929-alt4.1
- Non-maintainer upload
- Add "packager" to spec
- Rebuild with glibc 2.3.x and ocaml 3.07-alt6.1

* Wed Mar 17 2004 Vitaly Lugovsky <vsl@altlinux.ru> 20030929-alt4
rebuild

* Wed Feb 18 2004 Vitaly Lugovsky <vsl@altlinux.ru> 20030929-alt3
- rebuild

* Tue Jan 27 2004 Vitaly Lugovsky <vsl@altlinux.ru> 20030929-alt2
rebuild


* Tue Nov 26 2003 Vitaly Lugovsky <vsl@altlinux.ru> 20030929-alt1
a first RPM release


